<?php
/**
* Web Application Component Toolkit
*
* @link http://www.phpwact.org/
*
* @author Wact Development Team
* @link http://www.phpwact.org/team
*
* @copyright Copyright 2006, Jeff Moore
* @license http://opensource.org/licenses/mit-license.php MIT
*/

/**
* A text area in a form
*/
class Wact_View_Form_Text extends Wact_View_Form_Element {

    function __construct($attributes = array(), $binding = NULL) {
        parent::__construct('input', $attributes, $binding);
    }
    
    /**
    * Set the attribute values as needed.
    */
    function paintOpen() {
        if (empty($this->binding)) {
            $binding = $this->getAttribute('name');
        } else {
            die('unimplemented');
        }
        $this->setAttribute('value', $this->transitionParent->getTransition()->getPost($binding));
        parent::paintOpen();
    }

}

?>